#pragma once
#include <map>
struct M_ChannelLaunchData
{
	//id
	int mID;
	//渠道
	int mChannel;
	//级别
	int mLevel;
	//级别描述
	std::string mName;
	//类型
	int mType;
	//奖励RMB
	int mReward1;
	//玩家预估
	float mReward2;
	//是否冲榜
	int mRankingList;
	//冲榜名额
	int mQuota;
	//冲榜奖励RMB
	int mLeaderboardRewards;
	//期号
	int mIssueNumber;
	//用户类型
	int mPlayerType;
};

class M_ChannelLaunch
{
public:
private:
	static std::auto_ptr<M_ChannelLaunch> msSingleton;
public:
	int GetCount();
	const M_ChannelLaunchData* GetData(int ID);
	const std::map<int, M_ChannelLaunchData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ChannelLaunch* GetSingleton();
	static void Release();
private:
	std::map<int, M_ChannelLaunchData> mMapData;
};
